Subject: Re: [PATCH net-next v22 05/13] page_pool: devmem support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Aug 2024 19:24:31 -0700

On Sun, 25 Aug 2024 04:15:03 +0000 Mina Almasry wrote:
> +	/* Assume net_iov are on the preferred node without actually
> +	 * checking...
> +	 *
> +	 * This check is only used to check for recycling memory in the page
> +	 * pool's fast paths. Currently the only implementation of net_iov
> +	 * is dmabuf device memory. It's a deliberate decision by the user to
> +	 * bind a certain dmabuf to a certain netdev, and the netdev rx queue
> +	 * would not be able to reallocate memory from another dmabuf that
> +	 * exists on the preferred node, so, this check doesn't make much sense
> +	 * in this case. Assume all net_iovs can be recycled for now.
> +	 */

This is probably a bit too verbose, and we shouldn't talk about dmabuf
specifically:

	/* NUMA node preference only makes sense if we're allocating
	 * system memory. Memory providers (which give us net_iovs)
	 * choose for us.
	 */

Some of the code moves could be a separate patch, but either way:

Acked-by: Jakub Kicinski <[email-masked]>